import { Component, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { Observable, of } from 'rxjs';
import { EmployeeResponseDTO } from '../../models/mitarbeiter';
import { EmployeeService } from '../../service/employee.service';

@Component({
  selector: 'app-mitarbeiterverwaltung-view',
  templateUrl: './mitarbeiterverwaltung-view.component.html',
  styleUrls: ['./mitarbeiterverwaltung-view.component.css'],
  standalone: true,
  imports: [CommonModule]
})
export class MitarbeiterverwaltungViewComponent implements OnInit {
  employees: Observable<Array<EmployeeResponseDTO>> = of([]);

  constructor(private employeeService: EmployeeService) {}

  ngOnInit(): void {
    this.employees = this.employeeService.getAllEmployees();
  }
}
